#include <QApplication>
#include <QMainWindow>
#include <QPushButton>
#include <QVBoxLayout>
#include <QLabel>
#include <QMenuBar>
#include "window.h"

int main(int argc, char **argv)
{
    QApplication app(argc, argv);

    Window *glw = new Window;
    QMainWindow mw;
    QWidget *w = new QWidget;
    QVBoxLayout *vl = new QVBoxLayout;
    vl->addWidget(new QPushButton("Widgets + a native child window with OpenGL"));
    vl->addWidget(new QLabel("Offscreen rendering via an FBO."));
    QWidget *ww = QWidget::createWindowContainer(glw);
    ww->setMinimumHeight(300);
    vl->addWidget(ww);
    vl->setStretchFactor(ww, 1.0);
    w->setLayout(vl);

    QMenu *fileMenu = mw.menuBar()->addMenu("&File");
    fileMenu->addAction("&Save image", glw, &Window::readbackAndSave);
    fileMenu->addAction("E&xit", &app, &QApplication::quit);

    mw.setCentralWidget(w);
    mw.resize(400, 400);
    mw.show();

    return app.exec();
}
